@import url('https://fonts.googleapis.com/css2?family=Open+Sans:ital,wght@0,300;0,400;0,600;0,700;0,800;1,300;1,400;1,600;1,700;1,800&display=swap');

*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    text-decoration: none;
    font-family: 'Open Sans', sans-serif;
}

body{
    margin-left: 80px;
    margin-top: 80px;
    transition: margin-left 300ms cubic-bezier(0.785, 0.135, 0.15, 0.86);
}

main{
    padding: 20px;
}

header{
    width: 100%;
    height: 80px;
    background: #f5f5f5;
    display: flex;
    align-items: center;
    position: fixed;
    top: 0;
    z-index: 200;
}

.icon__menu{
    width: 50px;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    transform: translateX(10px);
}

.icon__menu i{
    font-size: 20px;
    cursor: pointer;
    position: absolute;
}

.menu__side{
    width: 80px;
    height: 100%;
    background: #034764;
    position: fixed;
    top: 0;
    left: 0;
    color: white;
    font-size: 18px;
    z-index: 300;
    overflow: hidden;
    overflow-y: scroll;
    border-right: 20px solid #034764;
    transition: all 300ms cubic-bezier(0.785, 0.135, 0.15, 0.86);
}

/*Ocultar scroll para chrome, safari y opera*/
.menu__side::-webkit-scrollbar{
    display: none;
}

/*Ocultar scroll para IE, Edge y Firefox*/
.menu__side{
    -ms-overflow-style: none;
    scrollbar-width: none;
}


.name__page{
    padding: 20px 30px;
    display: flex;
    align-items: center;
    margin-top: 10px;
}

.name__page i{
    width: 20px;
    margin-right: 20px;
}

.options__menu{
    padding: 20px 30px;
    position: absolute;
    top: 80px;
}

.options__menu a{
    color: #ffffffb2;
    cursor: default;
    display: block;
    position: relative;
    transition: color 300ms;
}

.options__menu a:hover{
    color: white;
}

.options__menu .option{
    padding: 20px 0px;
    display: flex;
    align-items: center;
    position: relative;
}

.options__menu .option i{
    width: 20px;
    margin-right: 20px;
    cursor: pointer;
}

.options__menu .option h4{
    font-weight: 300;
    cursor: pointer;
}

a.selected{
    color: #fff;
}

.selected:before{
    content: '';
    width: 3px;
    height: 80%;
    background: white;
    position: absolute;
    top: 10%;
    left: -30px;
}

/*Clases para usar en JavaScript*/

.body_move{
    margin-left: 250px;
}

.menu__side_move{
    width: 250px;
}


@media screen and (max-width: 760px){
    .body_move{
        margin-left: 0px;
    }

    .menu__side_move{
        width: 80px;
        left: -80px;
    }
}

/*Estilos header*/
.contenido
{
    width: 100%;
    display: flex;
}

.derecha
{
    position: relative;
    float: left;
    width: 50%;
    height: auto;
    text-align: right;
}

.izquierda
{
    float: left;
    position: relative;
    width: 30%;
    height: auto;
}
/*----------------------------------------------------------------------------*/

/*Estilos header t*/
.contenidot
{
    width: 100%;
    display: flex;
}

.derechat
{
    position: relative;
    float: left;
    width: 60%;
    height: auto;
    text-align: right;
}

.centrot
{
    position: relative;
    float: left;
    width: 5%;
    height: auto;
    text-align: left;
}

.izquierdat
{
    float: left;
    position: relative;
    width: 15%;
    height: auto;
}
/*----------------------------------------------------------------------------*/


/*Tabla trabajadores*/
table {
    width: 100%;
    border-collapse: collapse;
  }
  
  tr
  {
    border-bottom: 1px solid #ccc;
    border-top: 1px solid #ccc;
  }

  th, td {
    padding: 8px;
    text-align: left;
  }
  
  th {
    background-color: #CBD2DA;
  }
  
  @media only screen and (max-width: 600px) {
    td, th {
      display: block;
    }
  
    td {
      border: none;
      /*text-align: right;*/
      padding-right: 10px;
    }
    
    th {
      border: none;
      text-align: left;
    }
  }
  
/*----------------------------------------------------------------------------*/
/**/
.menuc
{
    width: 100%;
    height: 40px;
    background: #f5f5f5;
    /*display: flex;*/
    /*position: fixed;*/
}
/*----------------------------------------------------------------------------*/

/*boton_agregar*/
.boton_agregar {
top: 84px;
left: 1234px;
width: 108px;
height: 44px;
background: #1DAAAF 0% 0% no-repeat padding-box;
border-radius: 24px;
opacity: 1;

font: var(--unnamed-font-style-normal) normal var(--unnamed-font-weight-600) var(--unnamed-font-size-16)/var(--unnamed-line-spacing-22) var(--unnamed-font-family-open-sans);
letter-spacing: var(--unnamed-character-spacing-0-34);
color: var(--unnamed-color-f6f6f6);
text-align: center;
font: normal normal 600 16px/22px Open Sans;
letter-spacing: 0.34px;
color: #F6F6F6;
opacity: 1;
}

/*boton_editar*/
.boton_editar {
    width: 108px;
    height: 44px;
    background: #1DAAAF 0% 0% no-repeat padding-box;
    border-radius: 24px;
    opacity: 1;
    }
/*Boton más*/
.boton_mas {
        width: 50px;
        height: 44px;
        background: #1DAAAF 0% 0% no-repeat padding-box;
        border-radius: 24px;
        opacity: 2;
        }
.atexto
{
    text-decoration: none;
    
    text-align: center;
    font: normal normal 100 12px/22px Open Sans;
    color: #F6F6F6;
}

/*----------------------------------------------------------------------------*/

/*Formulario registro trabajadores*/
form {
    width: 100%;
    max-width: 500px;
    margin: auto;
  }
  
  label{
    display: inline;
    width: 50%;
    padding: 10px;
    font-size: 20px;
    box-sizing: border-box;
  }

  input[type="submit"], input[type="button"] {
    display: inline;
    width: 40%;
    padding: 5px;
    font-size: 20px;
    box-sizing: border-box;
    top: 1080px;
    left: 584px;
    width: 200px;
    height: 47px;
    background: #1DAAAF 0% 0% no-repeat padding-box;
    border-radius: 24px;
    opacity: 1;
    color: white;
  }
  
  input[type="text"], input[type="email"], input[type="password"], input[type="file"] {
    width: 100%;
    padding: 10px;
    font-size: 20px;
    margin-bottom: 20px;
    box-sizing: border-box;
  }

  input[type="number"], input[type="date"] {
    width: 100%;
    padding: 10px;
    font-size: 20px;
    margin-bottom: 20px;
    box-sizing: border-box;
  }
  
  select{
    width: 100%;
    padding: 10px;
    font-size: 20px;
    margin-bottom: 20px;
    box-sizing: border-box;
  }
/*----------------------------------------------------------------------------*/

/*Agenda*/
.calendar {
    width: 100%;
    border-collapse: collapse;
    font-family: Arial, sans-serif;
    margin: 20px 0;
  }
  
  .month-year {
    text-align: center;
    font-size: 18px;
    font-weight: bold;
    padding: 10px;
  }
  
  th {
    background-color: #f2f2f2;
    font-weight: bold;
    text-align: center;
    padding: 10px;
  }
  
  td {
    text-align: center;
    padding: 10px;
  }
  
  .days td:hover {
    background-color: #f2f2f2;
    cursor: pointer;
  }
  
  .days .today {
    background-color: #c9f0ff;
  }
  
  .days .selected {
    background-color: #008cff;
    color: #fff;
  }
  
/*----------------------------------------------------------------------------*/
